The Ledger Health object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

voucher_type string
voucher_no string
debit_credit_mismatch boolean

Default: false

checked_on string
general_and_payment_ledger_mismatch boolean

Default: false

The Ledger Health object
{
  "id": "ledger-health_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "debit_credit_mismatch": false,
  "checked_on": "checked_on_example",
  "general_and_payment_ledger_mismatch": false
}
GET /api/accounts/ledger-health/{id}

Retrieve a ledger health

Retrieves the details of an existing ledger health. Supply the unique ledger health ID that was returned from a previous request.

Path parameters

id string required

The identifier of the ledger health to retrieve.

Returns

Returns the ledger health object if a valid identifier was provided.

GET /api/accounts/ledger-health/{id}
curl https://api.overplane.dev/api/accounts/ledger-health/ledger-health_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "ledger-health_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "debit_credit_mismatch": false,
  "checked_on": "checked_on_example",
  "general_and_payment_ledger_mismatch": false
}
GET /api/accounts/ledger-health

List all ledger healths

Returns a list of ledger healths. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of ledger health objects.

GET /api/accounts/ledger-health
curl https://api.overplane.dev/api/accounts/ledger-health \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "ledger-health_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "debit_credit_mismatch": false,
      "checked_on": "checked_on_example",
      "general_and_payment_ledger_mismatch": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/ledger-health

Create a ledger health

Creates a new ledger health object.

Body parameters

voucher_type string
voucher_no string
debit_credit_mismatch boolean

Default: false

checked_on string
general_and_payment_ledger_mismatch boolean

Default: false

Returns

Returns the newly created ledger health object if the call succeeded.

POST /api/accounts/ledger-health
curl https://api.overplane.dev/api/accounts/ledger-health \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "ledger-health_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "debit_credit_mismatch": false,
  "checked_on": "checked_on_example",
  "general_and_payment_ledger_mismatch": false
}
PATCH /api/accounts/ledger-health/{id}

Update a ledger health

Updates the specified ledger health by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the ledger health to update.

Body parameters

voucher_type string
voucher_no string
debit_credit_mismatch boolean

Default: false

checked_on string
general_and_payment_ledger_mismatch boolean

Default: false

Returns

Returns the updated ledger health object.

PATCH /api/accounts/ledger-health/{id}
curl https://api.overplane.dev/api/accounts/ledger-health/ledger-health_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"voucher_type":"voucher_type_example","voucher_no":"voucher_no_example"}'
Response
{
  "id": "ledger-health_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "debit_credit_mismatch": false,
  "checked_on": "checked_on_example",
  "general_and_payment_ledger_mismatch": false
}
DELETE /api/accounts/ledger-health/{id}

Delete a ledger health

Permanently deletes a ledger health. This cannot be undone.

Path parameters

id string required

The identifier of the ledger health to delete.

Returns

Returns a confirmation that the ledger health has been deleted.

DELETE /api/accounts/ledger-health/{id}
curl https://api.overplane.dev/api/accounts/ledger-health/ledger-health_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "ledger-health_abc123",
  "deleted": true
}